Module org.firebirdsql.jaybird
Package org.firebirdsql.management

# Class FBBackupManagerBase.PathSizeStruct

java.lang.Object
org.firebirdsql.management.FBBackupManagerBase.PathSizeStruct

Enclosing class:
  FBBackupManagerBase

protected static class FBBackupManagerBase.PathSizeStruct extends Object
Structure that holds path to the database and corresponding size of the file (in case of backup - that is size of the file in megabytes, in case of restore - size of the database file in pages).

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PathSizeStruct(String path, int size)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getPath()`
`int`
`getSize()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PathSizeStruct

protected PathSizeStruct(String path, int size)

## Method Details

### getPath

public String getPath()

### getSize

public int getSize()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`